<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateWMSReflectPackageTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('w_m_s_reflect_packages', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('TASKID',30)->unique()->comment('任务号');
            $table->string('Orderno',30)->unique()->comment('WMS订单号');
            $table->string('palletid',30)->unique()->comment('发货单号');
            $table->string('SOReference5',50)->unique()->comment('快递单号');
            $table->string('Customer',30)->nullable()->comment('货主');
            $table->string('Consigneename',30)->nullable()->comment('收货人姓名');
            $table->string('CarrierID',30)->nullable()->comment('承运商');
            $table->string('USERDEFINE1',30)->nullable()->comment('波次号');
            $table->string('USERDEFINE2',30)->nullable()->comment('波次计划规则');
            $table->string('USERDEFINE3',30)->nullable()->comment('预留字段');
            //$table->string('package_id',30)->nullable()->comment('外链包裹信息');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('w_m_s_reflect_packages');
    }
}
